Bug 79570 - VIEWING: In print preview, page up & page down don't function at specific zoom levels
Summary: VIEWING: In print preview, page up & page down don't function at specific zoo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrolling-PageUpDown Print-Preview Multi-Page-View
  Show dependency treegraph
 
Reported: 2014-06-03 02:33 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-01-16 04:18 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
example file, showing the problem (8.27 KB, application/vnd.oasis.opendocument.text)
2016-06-16 07:51 UTC, kolAflash
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-03 02:33:54 UTC
If you open a document like attachment 98489 [details] and go into print preview, it jumps to 60% zoom so it can show 2 pages next to each other. If you use the click the plus sign next to the zoom slider in the status bar, it should jump to 65%, and if you press it again, it will jump to 75%. At both 65 and 75 percent, if you press page up and page down, it will not scroll properly.

Tested on Linux Mint in LibO 3.6.7 - 4.2.4 and 4.3 beta.
Comment 1 Jorendc 2014-06-03 21:39:48 UTC
Repro, tested using windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: b447687292334687a371b66d7ad56ba9662b898e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-03_06:24:04
Comment 2 QA Administrators 2015-06-08 14:42:30 UTC Comment hidden (obsolete)
Comment 3 Yousuf Philips (jay) (retired) 2015-06-10 19:02:38 UTC
Confirmed still present.

Version: 5.1.0.0.alpha1+
Build ID: 782c116b5ac39aef27c3a00f7fc145c9f755e3a3
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-06-09_23:59:00
Comment 4 kolAflash 2016-06-16 07:51:10 UTC
Created attachment 125685 [details]
example file, showing the problem

Still present in 5.1.3.2 on Linux.

Additionally (if zoomed in) the NextPage button (and the PgDn key at my keyboard) sometimes stops working or is even going pages back instead of forward!? (tested at 75% zoom)


Tested with:

1366x768 screen resolution,  on Linux (KDE, openSUSE 13.2 x86_64)

LibreOffice 5.1.3.2
http://download.opensuse.org/repositories/LibreOffice:/5.1/openSUSE_13.2/


Maybe related:
https://bugs.documentfoundation.org/show_bug.cgi?id=100419


----
Sorry for the short discription - being right in the middle of writing my bachelor thesis while I found this. Please ask if you need further details!
Comment 5 Yousuf Philips (jay) (retired) 2017-10-08 12:08:49 UTC
Still present.

Version: 6.0.0.0.alpha0+
Build ID: 74b47af9885ba4c59195fedc1e0510b8b056a025
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 QA Administrators 2018-10-09 02:53:18 UTC Comment hidden (obsolete)
Comment 7 Karsten 2019-01-16 11:21:57 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2021-01-16 04:18:08 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug